using ShipyardContracts.BindingModels;
using ShipyardContracts.SearchModels;
using ShipyardContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.StoragesContracts
{
    public interface IDetailStorage
    {
        List<DetailViewModel> GetFullList();
        List<DetailViewModel> GetFilteredList(DetailSearchModel model);
        DetailViewModel? GetElement(DetailSearchModel model);
        DetailViewModel? Insert(DetailBindingModel model);
        DetailViewModel? Update(DetailBindingModel model);
        DetailViewModel? Delete(DetailBindingModel model);

    }
}
